/* stylegrid*/

/********** common entrance for all queries **********************/


/****************************************************************************/
/**************** media query for mobile devices ****************************/
/****************************************************************************/
@media (min-device-width: 320px) and (max-device-width: 425px) { 

body {


    margin: 0 auto;
    box-sizing: border-box;

    font-family: 'Gill Sans', 'Gill Sans MT', 'Trebuchet MS', 'sans-serif';
    color: azure;

}


#container{

    width: 100vw;
    height: 100vh;

}


/* pages */


/***** page0 ******/

#page0 {

    margin-top: 0;
    background-image: url('page0_bg.png');

    display: grid;
    grid-template-columns: 100vw;
    grid-template-rows: 100vh;

}

#boiler {

    position: absolute;
    z-index: 10;
    width: 100vw;
    height: 30vh;
    top: 30vh;
    /*left: 3%;*/

}

#header {

    display: flex;
    flex-direction: column;

    margin: 0;
    font-size: 2em;
    font-weight: lighter;
    align-items: center;
}

#subheader {

    display: flex;
    flex-direction: column;

    margin: 0;
    font-size: 1.5rem;
    font-weight: lighter;
    align-items: center;

} 

/***** page1 ******/

#page1 {

    margin-top: 0;
    background-image: url('page1_bg.png');

    display: grid;
    grid-template-columns: 100vw;
    grid-template-rows: 100vh;

}

#boiler1 {

    position: relative;
    z-index: 20;
    width: 100vw;
    height: 30vh;
    top: 10vh;
    /*left: 3%;*/

    display: flex;
    flex-direction: column;
    align-items: center;

}

#manifest_header {

    margin: 0;
    font-size: 2em;
    font-weight: lighter;

}

#manifest_text1, #manifest_text2, #manifest_text3, #manifest_button {

    margin-top: 1em;
    font-size: 1em;
    font-weight: lighter;
    max-width: 60vw; 
    
}

#manifest_button {

    padding-top: 2em;

}

#manifest_button:hover {

    cursor: pointer;
    font-weight: normal;

}

/***** page2 ******/

#page2 {

    margin-top: 0;
    background-image: url('page2_bg.png');

    display: grid;
    grid-template-columns: 100vw;
    grid-template-rows: 100vh;

}

#boiler2 {

    position: relative;
    z-index: 30;
    width: 94vw;
    height: 40vw;
    top: 15vh;
    /*left: 5%;*/
    
    display: flex;
    flex-direction: column;
    align-items: center;
    
}

#video_header {

    margin: 0;
    font-size: 2em;
    font-weight: lighter;

}

#video_element {
    /*
    margin: 2rem;
    width: 32rem;
    height: 18rem;
    border: 0;
    */
    display: none;

}

#video_text0 {

    margin-top: 6em;
    font-size: 1em;
    font-weight: lighter;
    max-width: 50vw; 

}

#video_button {

    margin-top: 3em;
    font-size: 1em;
    font-weight: lighter;

}

/******* footer *************/

#footer {

    margin-top: -11vh;

}


#boiler_footer{

    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: flex-end;
    
    position: relative;
    z-index: 50;
    width: 100vw;
    height: 10vh;

}


#footer_txt {

    margin: 0.1em;
    font-size: 0.8em;
    font-weight: lighter;
}

}


/***end of mobile query ********/



/***************************************************************************/
/******************* media query for tablets *******************************/
/***************************************************************************/

@media (min-device-width: 426px) and (max-device-width: 768px) {

    body {


        margin: 0 auto;
        box-sizing: border-box;
    
        font-family: 'Gill Sans', 'Gill Sans MT', 'Trebuchet MS', 'sans-serif';
        color: azure;
    
    }
    
    #container{
    
        width: 100vw;
        height: 100vh;
    
    }

    /* pages */

    /**** page0 ****/

    #page0 {

        margin-top: 0;
        background-image: url('page0_bg.png');
    
        display: grid;
        grid-template-columns: 100vw;
        grid-template-rows: 100vh;
    
    }
    
    #boiler {
    
        position: absolute;
        z-index: 10;
        width: 100vw;
        height: 30vh;
        top: 40vh;
        /*left: 3%;*/
    
    }
    
    #header {
    
        display: flex;
        flex-direction: column;
    
        margin: 0;
        font-size: 3.5em;
        font-weight: lighter;
        align-items: center;
    }
    
    #subheader {
    
        display: flex;
        flex-direction: column;
    
        margin: 0;
        font-size: 1.5rem;
        font-weight: lighter;
        align-items: center;
    
    } 

    /*******************************************/
    /**** page1 ****/

    #page1 {

        margin-top: 0;
        background-image: url('page1_bg.png');
    
        display: grid;
        grid-template-columns: 100vw;
        grid-template-rows: 100vh;
    
    }
    
    #boiler1 {
    
        position: relative;
        z-index: 20;
        width: 100vw;
        height: 30vh;
        top: 20vh;
        /*left: 3%;*/
    
        display: flex;
        flex-direction: column;
        align-items: center;
    
    }
    
    #manifest_header {
    
        margin: 0;
        font-size: 3em;
        font-weight: lighter;
    
    }
    
    #manifest_text1, #manifest_text2, #manifest_text3, #manifest_button {
    
        margin-top: 1em;
        font-size: 1em;
        font-weight: lighter;
        max-width: 50vw; 
        
    }
    
    #manifest_button {
    
        padding-top: 3em;
    
    }
    
    #manifest_button:hover {
    
        cursor: pointer;
        font-weight: normal;
    
    }

    /***********************************/
    /**** page2 ****/

    #page2 {

        margin-top: 0;
        background-image: url('page2_bg.png');
    
        display: grid;
        grid-template-columns: 100vw;
        grid-template-rows: 100vh;
    
    }
    
    #boiler2 {
    
        position: relative;
        z-index: 30;
        width: 100vw;
        height: 60vh;
        top: 30vh;
        /*left: 3%;*/
        
        display: flex;
        flex-direction: column;
        align-items: center;
        
    }

    #video_header {

        margin: 0;
        font-size: 3em;
        font-weight: lighter;

    }
    
    #video_element {
        /*
        margin: 2em;
        width: 32rem;
        height: 18rem;
        border: 0;*/
        
        
        display: none;
    
    }
    
    #video_text0 {
    
        margin-top: 3em;
        font-size: 1em;
        font-weight: lighter;
        max-width: 50vw; 
    
    }
    
    #video_button {
    
        margin-top: 4em;
        font-size: 1em;
        font-weight: lighter;
    
    }

    /***********************************/
    /**** footer ****/

    #footer {

        margin-top: -11vh;
    
    }
    
    
    #boiler_footer{
    
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: flex-end;
        
        position: relative;
        z-index: 50;
        width: 100vw;
        height: 10vh;
    
    }
    
    
    #footer_txt {
    
        margin: 0.1em;
        font-size: 0.8em;
        font-weight: lighter;
    }
    
}

/**********end of tablets query******/



/***************************************************************************/
/*************** media query for =>laptop_1024 *******************************/
/***************************************************************************/

@media (min-device-width: 768px) and (max-device-width: 1024px) {

    body {


        margin: 0 auto;
        box-sizing: border-box;
    
        font-family: 'Gill Sans', 'Gill Sans MT', 'Trebuchet MS', 'sans-serif';
        color: azure;
    
    }
    
    #container{
    
        width: 100vw;
        height: 100vh;
    
    }

    /* pages */

    /**** page0 ****/

    #page0 {

        margin-top: 0;
        background-image: url('sporkskaffel_bg_0.jpg');
    
        display: grid;
        grid-template-columns: 100vw;
        grid-template-rows: 100vh;
    
    }
    
    #boiler {
    
        position: absolute;
        z-index: 10;
        width: 100vw;
        height: 30vh;
        top: 40vh;
        /*left: 3%;*/
    
    }
    
    #header {
    
        display: flex;
        flex-direction: column;
    
        margin: 0;
        font-size: 3.5em;
        font-weight: lighter;
        align-items: center;
    }
    
    #subheader {
    
        display: flex;
        flex-direction: column;
    
        margin: 0;
        font-size: 1.5rem;
        font-weight: lighter;
        align-items: center;
    
    } 

    /*******************************************/
    /**** page1 ****/

    #page1 {

        margin-top: 0;
        background-image: url('sporkskaffel_bg_1.jpg');
    
        display: grid;
        grid-template-columns: 100vw;
        grid-template-rows: 100vh;
    
    }
    
    #boiler1 {
    
        position: relative;
        z-index: 20;
        width: 100vw;
        height: 30vh;
        top: 20vh;
        /*left: 3%;*/
    
        display: flex;
        flex-direction: column;
        align-items: center;
    
    }
    
    #manifest_header {
    
        margin: 0;
        font-size: 3em;
        font-weight: lighter;
    
    }
    
    #manifest_text1, #manifest_text2, #manifest_text3, #manifest_button {
    
        margin-top: 1em;
        font-size: 1em;
        font-weight: lighter;
        max-width: 50vw; 
        
    }
    
    #manifest_button {
    
        padding-top: 3em;
    
    }
    
    #manifest_button:hover {
    
        cursor: pointer;
        font-weight: normal;
    
    }

    /***********************************/
    /**** page2 ****/

    #page2 {

        margin-top: 0;
        background-image: url('sporkskaffel_bg_2.jpg');
    
        display: grid;
        grid-template-columns: 100vw;
        grid-template-rows: 100vh;
    
    }
    
    #boiler2 {
    
        position: relative;
        z-index: 30;
        width: 100vw;
        height: 90vh;
        top: 10vh;
        /*left: 3%;*/
        
        display: flex;
        flex-direction: column;
        align-items: center;
        
    }

    #video_header {

        margin: 1;
        font-size: 2.5em;
        font-weight: lighter;

    }
    
    #video_element {
        
        margin: 5;
        width: 32em;
        height: 18em;
        border: 0;
        
        
        /*display: none;*/
    
    }
    
    #video_text0 {
    
        margin-top: 2em;
        font-size: 1em;
        font-weight: lighter;
        max-width: 50vw; 
    
    }
    
    #video_button {
        /*
        margin-top: 4em;
        font-size: 1em;
        font-weight: lighter;
        */
        display: none;
    
    }

    /***********************************/
    /**** footer ****/

    #footer {

        margin-top: -11vh;
    
    }
    
    
    #boiler_footer{
    
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: flex-end;
        
        position: relative;
        z-index: 50;
        width: 100vw;
        height: 10vh;
    
    }
    
    
    #footer_txt {
    
        margin: 0.1em;
        font-size: 0.8em;
        font-weight: lighter;
    }
    
}

/***************************************************************************/
/*************** media query for =>laptop_1440 *******************************/
/***************************************************************************/

@media (min-device-width: 1025px) and (max-device-width: 1440px) {

    body {


        margin: 0 auto;
        box-sizing: border-box;
    
        font-family: 'Gill Sans', 'Gill Sans MT', 'Trebuchet MS', 'sans-serif';
        color: azure;
    
    }
    
    #container{
    
        width: 100vw;
        height: 100vh;
    
    }

    /* pages */

    /**** page0 ****/

    #page0 {

        margin-top: 0;
        background-image: url('sporkskaffel_bg_0.jpg');
    
        display: grid;
        grid-template-columns: 100vw;
        grid-template-rows: 100vh;
    
    }
    
    #boiler {
    
        position: absolute;
        z-index: 10;
        width: 100vw;
        height: 30vh;
        top: 40vh;
        /*left: 3%;*/
    
    }
    
    #header {
    
        display: flex;
        flex-direction: column;
    
        margin: 0;
        /*font-size: 3.5em;*/
        font-size: 5em;
        font-weight: lighter;
        align-items: center;
    }
    
    #subheader {
    
        display: flex;
        flex-direction: column;
    
        margin: 0;
        font-size: 1.5em;
        font-weight: lighter;
        align-items: center;
    
    } 

     /*******************************************/
    /**** page1 ****/

    #page1 {

        margin-top: 0;
        background-image: url('sporkskaffel_bg_1.jpg');
    
        display: grid;
        grid-template-columns: 100vw;
        grid-template-rows: 100vh;
    
    }
    
    #boiler1 {
    
        position: relative;
        z-index: 20;
        width: 100vw;
        height: 30vh;
        top: 20vh;
        /*left: 3%;*/
    
        display: flex;
        flex-direction: column;
        align-items: center;
    
    }
    
    #manifest_header {
    
        margin: 0;
        font-size: 4.5em;
        font-weight: lighter;
    
    }
    
    #manifest_text1, #manifest_text2, #manifest_text3, #manifest_button {
    
        margin-top: 1em;
        font-size: 1.3em;
        font-weight: lighter;
        max-width: 35vw; 
        
    }
    
    #manifest_button {
    
        padding-top: 3em;
    
    }
    
    #manifest_button:hover {
    
        cursor: pointer;
        font-weight: normal;
    
    }

    /***********************************/
    /**** page2 ****/

    #page2 {

        margin-top: 0;
        background-image: url('sporkskaffel_bg_2.jpg');
    
        display: grid;
        grid-template-columns: 100vw;
        grid-template-rows: 100vh;
    
    }
    
    #boiler2 {
    
        position: relative;
        z-index: 30;
        width: 100vw;
        height: 90vh;
        top: 7vh;
        /*left: 3%;*/
        
        display: flex;
        flex-direction: column;
        align-items: center;
        
    }

    #video_header {

        margin: 10;
        font-size: 3.4em;
        font-weight: lighter;

    }
    
    #video_element {
        
        margin: 0em;
        width: 32em;
        height: 18em;
        border: 0;
        
        
        /*display: none;*/
    
    }
    
    #video_text0 {
    
        margin-top: 2em;
        font-size: 1.3em;
        font-weight: lighter;
        max-width: 35vw; 
    
    }
    
    #video_button {
        /*
        margin-top: 4em;
        font-size: 1em;
        font-weight: lighter;
        */
        display: none;
    
    }

    
    
    /***********************************/
    /**** footer ****/

    #footer {

        margin-top: -11vh;
    
    }
    
    
    #boiler_footer{
    
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: flex-end;
        
        position: relative;
        z-index: 40;
        width: 100vw;
        height: 10vh;
    
    }
    
    
    #footer_txt {
    
        margin: 0.1em;
        font-size: 0.8em;
        font-weight: lighter;
        color: azure;

    }

}

/***************************************************************************/
/*************** media query for full screen => 1440 ***********************/
/***************************************************************************/


@media (min-device-width: 1441px){


    body {


        margin: 0 auto;
        box-sizing: border-box;
    
        font-family: 'Gill Sans', 'Gill Sans MT', 'Trebuchet MS', 'sans-serif';
        color: azure;
    
    }
    
    #container{
    
        width: 100vw;
        height: 100vh;
    
    }

    /*pages*/

    #page0, #page1, #page2 {

        width: 100vw;
        height: 100vh;
        /*background-image: url(''); */
        background-repeat: no-repeat;
        background-attachment: fixed;
        background-size: cover;

    }



    /* page0 ****************************************************/

    #page0 {

        margin-top: 0;
        background-image: url('sporkskaffel_bg_0.jpg');

        display: grid;
        grid-template-columns: 100vw;
        grid-template-rows: 30% 30% 40%;

    }

    #boiler {

        position: absolute;
        z-index: 10;
        width: 100vw;
        height: 30vh;
        top: 30vh;
    
}

    #header {

        display: flex;
        flex-direction: column;

        margin: 0;
        font-size: 6.8rem;
        font-weight: lighter;
        align-items: center;
    
    }

    #subheader {

        display: flex;
        flex-direction: column;

        margin: 0;
        font-size: 2rem;
        font-weight: lighter;
        align-items: center;

    }



/* page1 *****************************************************/

    #page1 {

        margin-top: 0;
        background-image: url('sporkskaffel_bg_1.jpg');

        display: grid;
        grid-template-columns: 100vw;
        grid-template-rows: 30% 30% 40%;

    }

    #boiler1 {

        position: relative;
        z-index: 20;
        width: 100vw;
        height: 30vw;
        top: 20vh;
    

        display: flex;
        flex-direction: column;
        align-items: center;

    }

    #manifest_header {
    
        margin: 0;
        font-size: 4.5em;
        font-weight: lighter;

    }

    #manifest_text1, #manifest_text2, #manifest_text3, #manifest_button {

        margin: 1em;
        font-size: 1.3em;
        font-weight: lighter;
        max-width: 35vw; 
    
    }


    #manifest_button {

        padding-top: 3rem;

    }

    #manifest_button:hover {

        cursor: pointer;
        font-weight: normal;

    }



/* page2 ********************************************************/

    #page2 {

        margin-top: 0;
        background-image: url('sporkskaffel_bg_2.jpg');

        display: grid;
        grid-template-columns: 100vw;
        grid-template-rows: 15% 65% 20%;

    }

    #boiler2 {

        position: relative;
        z-index: 30;
        width: 100vw;
        height: 100vw;
        top: 7vh;
        
        display: flex;
        flex-direction: column;
        align-items: center;
    
    }

    #video_header {

        margin: 10;
        font-size: 3.4em;
        font-weight: lighter;

    }

    #video_element {
        
        margin: 2rem;
        width: 32rem;
        height: 18rem;
        border: 0;

    }

    #video_text0 {

        margin: 0;
        font-size: 1.2rem;
        font-weight: lighter;
        max-width: 30vw; 

    }

    #video_button {
        /*
        margin-top: 4em;
        font-size: 1em;
        font-weight: lighter;
        */
        display: none;
    
    }

/* footer ****************************************/



    #footer {

        margin-top: -11vh;

    }


    #boiler_footer{

        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: flex-end;
        
        position: relative;
        z-index: 40;
        width: 100vw;
        height: 10vh;

    }


    #footer_txt {

        margin: 1rem;
        font-size: 1rem;
        font-weight: lighter;
    }

/*************************************************/
}

/***********************************************************************/
/***************** media query for full desktop etc. ends here *********/
/***********************************************************************/


/* media queries - da basics: */

/* Viewports between 320px and 420 wide, mobile*/
    /*@media (min-device-width: 320px) and (max-device-width: 425px) { 
         style mobile 
    }*/
  
/* Viewports between 420px and 640px wide, tablet */
    /*@media (max-device-width: 768px){
        style tablets 
}*/
/* Viewports between 768px and 1024px wide, laptop small */
    /*@media (max-device-width: 1024px){
     style laptops small 
}*/
/* Viewports between 1024px and 1440px wide */
   /* @media (max-device-width: 1440px){
     style laptops larger
}*/
/* Viewports above 1440px wide */
   /*  @media (min-device-width: 1441px){
    style all
}*/

